#!/bin/sh

##
 # 実行パスを取得
 ##
dir_path=${0/avr_run\.sh/}
dir_path_=${dir_path/ /\\ }

##
 # 説明文を表示
 ##
echo "\n\n\n■ SamplingViewerに必要なスケッチをArduinoにアップロードします\n"

##
 # Arduino 接続確認
 ##
dev_usb=`ls /dev | grep cu.usbmodem`
if [ "$dev_usb" = "" ]; then
  echo "[ERROR] USB接続されたArduinoを検出できませんでした。処理を終了します。\n\n"
  exit 1
else
  echo "▶ /dev/$dev_usb"
fi

##
 # アップロード処理
 ##
echo "Arduino基板にスケッチプログラムをアップロード中です"
run_str="${dir_path_}avr/bin/avrdude -C${dir_path_}avr/etc/avrdude.conf -q -q -patmega328p -carduino -P/dev/${dev_usb} -b115200 -D -Uflash:w:${dir_path_}sv4.ino.hex:i"
eval $run_str
if [ $? -gt 0 ]; then
  echo "\n\n[ERROR] エラーが発生しました"
  exit 1
else
  echo "\n\n■ アップロードが完了しました\n■ ウィンドウを閉じて下さい\n"
fi
